/*******************************************************************************
*
*      "cs46xxpm-22.h" --  Cirrus Logic-Crystal CS46XX linux audio driver.
*
*      Copyright (C) 2000,2001  Cirrus Logic Corp.  
*            -- tom woller (twoller@crystal.cirrus.com) or
*               (pcaudio@crystal.cirrus.com).
*
*      This program is free software; you can redistribute it and/or modify
*      it under the terms of the GNU General Public License as published by
*      the Free Software Foundation; either version 2 of the License, or
*      (at your option) any later version.
*
*      This program is distributed in the hope that it will be useful,
*      but WITHOUT ANY WARRANTY; without even the implied warranty of
*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*      GNU General Public License for more details.
*
*      You should have received a copy of the GNU General Public License
*      along with this program; if not, write to the Free Software
*      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
* 12/22/00 trw - new file. 
*
*******************************************************************************/
#ifndef __CS46XXPM22_H
#define __CS46XXPM22_H

#include <config/apm.h>
#include <linux/apm_bios.h>
#include "cs46xxpm.h"

#define CS46XX_SUSPEND_TBL cs46xx_suspend_tbl
#define CS46XX_RESUME_TBL cs46xx_resume_tbl
#define cs46xx_pm_callback cs46xx_apm_callback
struct pm_dev
{
	void		*data;
};
struct pm_dev cs_pmdev;
#ifdef CONFIG_APM
#define cs_pm_register(a, b, c) (struct pm_dev *)&cs_pmdev; apm_register_callback((c));
#define cs_pm_unregister_all(a) apm_unregister_callback((cs46xx_pm_callback));
#else
#define cs_pm_register(a, b, c) (struct pm_dev *)&cs_pmdev;
#define cs_pm_unregister_all(a)
#endif
int cs46xx_apm_callback(apm_event_t ae);
static void cs46xx_suspend_tbl(struct pci_dev *pcidev);
static void cs46xx_resume_tbl(struct pci_dev *pcidev);

#endif
